import 'package:flyinsono/lab/pages/lab_image/urm_data_processor/index.dart';

class URMConfigConvexS18CM {
  static String probeType = "Convex_S1-8CM"; // 该配置对应的探头类型

  static ParamConfig downsampleIndexConfig =
      ParamConfig(URMParamType.DownsampleIndex, "分辨率", 3, 2, [0.6, 0.8, 1]);
  static ParamConfig intPowerDenConfig = ParamConfig(URMParamType.IntPowerDen,
      "密度对比度", 8, 3, [1.5, 2, 2.5, 3, 3.5, 4, 4.5, 5]);
  static ParamConfig intPowerDirConfig = ParamConfig(URMParamType.IntPowerDir,
      "方向对比度", 8, 3, [1.5, 2, 2.5, 3, 3.5, 4, 4.5, 5]);
  static ParamConfig vessScaleConfig = ParamConfig(
      URMParamType.VessScale, "血管增强", 6, 3, [0, 0.5, 1.0, 1.5, 2.0, 2.5]);
  static ParamConfig sigmaGaussConfig = ParamConfig(
      URMParamType.SigmaGauss, "空间平滑", 5, 2, [1.5, 2.0, 2.5, 3.0, 3.5]);
}
